Page Summary
-
Media is uploaded using the URI
/upload/media/{resourceName=**}?upload_type=media.. -
The
upload_type=mediaquery string is required for successful upload requests. -
The HTTP request uses a POST method to the specified upload URI.
-
The
resourceNamepath parameter is a string specifying the name of the media being uploaded. -
The request and response bodies both contain an instance of
Media.
Uploads media. Upload is supported on the URI /upload/media/{resourceName=**}?upload_type=media.
Note: Upload requests will not be successful without including upload_type=media query string.
HTTP request
- Upload URI, for media upload requests:
POST https://displayvideo.googleapis.com/upload/media/{resourceName=**}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
resourceName |
Name of the media that is being downloaded. See |
Request body
The request body contains an instance of Media.
Response body
If successful, the response body contains an instance of Media.
Authorization Scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/display-videohttps://www.googleapis.com/auth/doubleclickbidmanager
For more information, see the OAuth 2.0 Overview.